Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.rules
Class JboPrecisionScaleValidator

`java.lang.Object
oracle.jbo.rules.AbstractValidator
oracle.jbo.rules.JboPrecisionScaleValidator`

All Implemented Interfaces:
  JboValidatorInterface

public class JboPrecisionScaleValidator
extends AbstractValidator
implements JboValidatorInterface

Implements precision and scale validation for numeric attributes and length validation for string and character attributes. The framework applies this validator to Entity Object attributes whose definitions inlcude XML metadata precision or scale values.

This validator is invoked by an Entity Objects's `validate()` method when an attribute with defined precision or scale is modified.

Field Summary
`static int` | `DEFAULT_SCALE`

Fields inherited from class oracle.jbo.rules.AbstractValidator
`mbInverse, mDescription, mErrorMessageClass, mMsgId, mValidatingAttrName`

Constructor Summary
`JboPrecisionScaleValidator()` Creates a default validator.

Method Summary
`java.lang.String` | `getDescription()` Gets the description of this validator.
`int` | `getPrecision()` Gets the precision value.
`int` | `getScale()` Gets the scale value.
`static JboPrecisionScaleValidator` | `getSingleton()`
`void` | `setDescription(java.lang.String description)` Sets the description of this validator.
`void` | `setPrecision(int prec)` Sets the precision value.
`void` | `setScale(int scale)` Sets the scale value.
`java.lang.String` | `toString()` Internal: Applications should not use this method.
`void` | `validate(JboValidatorContext evObj)` Validates an Entity Object by invoking `validateValue()`.
`static boolean` | `validateValue(java.lang.Object value, int prec, int scale)` Tests the Entity Object against this validator's precision and scale values.

Methods inherited from class oracle.jbo.rules.AbstractValidator
`convertToJava, getErrorMessageClass, getErrorMsgId, getInverse, getValidatingAttributeName, setErrorMessageClass, setErrorMsgId, setInverse, setValidatingAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SCALE

    public static final int DEFAULT_SCALE

  See Also:
    Constant Field Values

Constructor Detail

### JboPrecisionScaleValidator

    public JboPrecisionScaleValidator()

  Creates a default validator.

  Use `setPrecision` and `setScale` to configure the validatior.

Method Detail

### getSingleton

    public static JboPrecisionScaleValidator getSingleton()

### validate

    public void validate(JboValidatorContext evObj)

  Validates an Entity Object by invoking `validateValue()`.
  Specified by:
    `validate` in interface `JboValidatorInterface`
  Parameters:
    `evObj` - an event object indicating the Entity Object to be validated.
  Throws:
    `AttrSetValException` - if validation fails.

### validateValue

    public static boolean validateValue(java.lang.Object value,
                                        int prec,
                                        int scale)

  Tests the Entity Object against this validator's precision and scale values.

  The precision value is the maximum allowed number of digits in a number, or the number of characters in a string. The scale value, when less than zero, is the minimum number of digits following the decimal point, and when greater than zero, is the minimum number of digits preceeding the decimal point.

  Parameters:
    `value` - the Entity Object to be tested.
  Returns:
    `true` if `value` is valid.

### getPrecision

    public int getPrecision()

  Gets the precision value. For strings, "precision" refers to length.
  Returns:
    the precision value.

### getScale

    public int getScale()

  Gets the scale value. If scale validation is not to be performed this value is `-127`.

### setPrecision

    public void setPrecision(int prec)

  Sets the precision value. For strings, "precision" refers to length.
  Parameters:
    `prec` - the new precision value.

### setScale

    public void setScale(int scale)

  Sets the scale value. If scale validation is not to be performed this value should be `-127`.
  Parameters:
    `scale` - the new scale value.

### toString

    public java.lang.String toString()

  Internal: Applications should not use this method.

### getDescription

    public java.lang.String getDescription()

  Gets the description of this validator.
  Specified by:
    `getDescription` in interface `JboValidatorInterface`
  Overrides:
    `getDescription` in class `AbstractValidator`
  Returns:
    a documentation string.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of this validator.
  Specified by:
    `setDescription` in interface `JboValidatorInterface`
  Overrides:
    `setDescription` in class `AbstractValidator`
  Parameters:
    `description` - a documentation string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.